function [mua] = mucalc(phi,ep,a,g)

b=min(a,1-a);
ep1=ep(find(ep<=b));
ep2=ep(find(ep>b));

%ep1
wp = (1-a)*(a+ep1)+a*(1-(a+ep1));
vtpp = (1-a)*(a+ep1)./wp;
wm = (1-a)*(a-ep1) + a*(1-(a-ep1));
vtm = (1-a)*(a-ep1)./wm;
Hap=Hcalc(phi,g,wp,vtpp);
Ham=Hcalc(phi,g,wm,vtm);
mua1 = min(Hap, Ham);

%ep2
if length(ep2) == 0
    mua = mua1;
    return
end
if a < 1/2
    w = (1-a)*(a+ep2)+a*(1-(a+ep2));
    vt=(1-a)*(a+ep2)./w;
    mua2= Hcalc(phi,g,w,vt);
else
    w=(1-a)*(a-ep2)+a*(1-(a-ep2));
    vt=(1-a)*(a-ep2)./w;
    mua2=Hcalc(phi,g,w,vt);
end

mua=[mua1,mua2];

%keyboard
