clear all 
close all 

g = 2;
a = 0.376385; % alpha-CC with alpha = 0.376385
eta = [1/4 1/3 .35 0.376385 .4 .5];
T = 10;
t = linspace(-T, T, 1001);
for i = 1:length(eta)
    e = eta(i);
    C = e*sigmoid(t) + (1 - e)/g*sigmoid(-g*t);
    subplot(3,2,i)
    plot(t, C)
    hold on
    w = (1-e + sqrt((1-e)*(1+7*e)))/(2*e);
    if w > 2 % <=> eta < 1/2
         z1 = (w + sqrt (w^2 - 4))/2;
         z2 = (w - sqrt (w^2 - 4))/2;
         t1 = log(z1);
         t2 = log(z2);
         %plot(t1, e*sigmoid(t1)+(1 - e)/g*sigmoid(-g*t1), 'o');        
         plot(t2, e*sigmoid(t2)+(1 - e)/g*sigmoid(-g*t2), 'o');         
    end
    title(['\eta = ' num2str(eta(i))])
    if abs(eta(i)-a) < eps
        title(['\eta = \alpha = ' num2str(eta(i))])
    end    
    axis([-T T .2 .55])
end
orient tall
%print -depsc sigloss.eps
